Bug ID 568576: Version Check fails when upgrading across a major version boundary

Last Modified: Oct 01, 2018

Bug Tracker

Affected Product:  See more info
BIG-IP APM, Install/Upgrade(all modules)

Known Affected Versions:
12.0.0, 12.0.0 HF1, 12.0.0 HF2

Fixed In:
13.0.0, 12.1.0, 12.0.0 HF3

Opened: Jan 19, 2016
Severity: 2-Critical

Symptoms

The Edge client's version check is failing to check across a major version boundary, which causes the installer to not automatically update. F5InstServLog.txt reports the the following message service.cpp, 2015, VerifyPackage(), (0x64d) EXCEPTION - this is an old or same version - do not upgrade

Impact

Edge Client auto-installer fails.

Conditions

Install EdgeClient from BIG-IP v12.0.0. Use EdgeClient to connect to a BIG-IP v12.1.0

Workaround

None

Fix Information

The Edge client version check now properly detects new versions.

Behavior Change